Bug 64739 - Using "Similarity search" in the find and replace dialog should warn when using "Replace all"
Summary: Using "Similarity search" in the find and replace dialog should warn when usi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2013-05-18 12:51 UTC by To Do
Modified: 2021-06-14 17:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description To Do 2013-05-18 12:51:28 UTC
When using the replace all feature it is not difficult to replace text you did not intend to replace if you're using the "Similarity search" option.

In my opinion there should be a warning or a popup showing what would be replaced with what before continuing.
Comment 1 Cor Nouws 2013-05-18 16:20:01 UTC
thanks for the issue - looks as a useful enhancement
(and something to consider when the UX picks up F&R issues!)
Comment 2 Commit Notification 2020-10-20 20:52:36 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/bbb9b402a4197f412a411efeef434b168d0ce96d

Partially resolves: tdf#129492 (and related to: tdf#64739) improve explanation of Similarity search
Comment 3 sdc.blanco 2020-10-20 20:59:54 UTC
(In reply to Commit Notification from comment #2)
> Partially resolves: tdf#129492 (and related to: tdf#64739) improve
> explanation of Similarity search
Inspired by this enhancement request, have added "warning" on Similarity Search help page to be careful when using "Replace All" and "Similarity Search".  Does not resolve the substance of this request, but it might help those who (sometimes) read the friendly manual.

It takes a few days for the online help to be updated from the master, but soon it should be visible at: https://help.libreoffice.org/7.1/en-US/text/shared/01/02100100.html